if SERVER then
   AddCSLuaFile( "shared.lua" )
end

if CLIENT then
   SWEP.Category                = "Heavy-D's SWEPs"             --Category of your SWEP
   SWEP.PrintName               = "Autobazooka"              -- Name of your SWEP
   SWEP.Author                = "Heavy-D"                 --Author
   SWEP.ViewModelFlip        = true
   SWEP.Purpose                = "Obliterate"                   -- Purpose of your SWEP
   SWEP.Instructions	= "You'll figure it out"
   SWEP.CSMuzzleFlashes    = true
   SWEP.Spawnable = true
   SWEP.AdminSpawnable = true
   SWEP.ViewModelFOV    = 70
   SWEP.Slot            = 5
   SWEP.SlotPos         = 3
  
end

SWEP.VElements = {
	["switches"] = { type = "Model", model = "models/props_lab/reciever01b.mdl", bone = "v_weapon.AK47_Parent", rel = "", pos = Vector(-0.21, 3.5, 11.899), angle = Angle(-180, 0, -180), size = Vector(0.1, 0.09, 0.1), color = Color(255, 255, 255, 255), surpresslightning = false, material = "", skin = 0, bodygroup = {} },
	["barrel"] = { type = "Model", model = "models/props_borealis/bluebarrel001.mdl", bone = "v_weapon.AK47_Parent", rel = "", pos = Vector(-0.051, 2.799, 16.9), angle = Angle(-179.491, 0, 2), size = Vector(0.05, 0.05, 0.2), color = Color(255, 255, 255, 255), surpresslightning = false, material = "models/props_combine/metal_combinebridge001", skin = 0, bodygroup = {} },
	["flashhider"] = { type = "Model", model = "models/props_trainstation/trashcan_indoor001b.mdl", bone = "v_weapon.AK47_Parent", rel = "barrel", pos = Vector(0, 0, -6.3), angle = Angle(0, 0, 180), size = Vector(0.09, 0.09, 0.2), color = Color(255, 255, 255, 255), surpresslightning = false, material = "models/props_combine/metal_combinebridge001", skin = 0, bodygroup = {} },
	["batterything"] = { type = "Model", model = "models/Items/battery.mdl", bone = "v_weapon.AK47_Parent", rel = "carryhandle", pos = Vector(2, 0, 0.8), angle = Angle(90, 180, 0), size = Vector(0.379, 0.379, 0.379), color = Color(255, 255, 255, 255), surpresslightning = false, material = "", skin = 0, bodygroup = {} },
	["mag"] = { type = "Model", model = "models/Items/BoxFlares.mdl", bone = "v_weapon.AK47_Clip", rel = "", pos = Vector(0, -3.182, -1.201), angle = Angle(0, -88.977, -1.024), size = Vector(0.379, 0.209, 0.435), color = Color(255, 255, 255, 255), surpresslightning = false, material = "models/props_pipes/GutterMetal01a", skin = 0, bodygroup = {} },
	["mag2"] = { type = "Model", model = "models/props_c17/oildrum001.mdl", bone = "v_weapon.AK47_Parent", rel = "mag", pos = Vector(-1.364, 0, 3), angle = Angle(-180, 0, 0), size = Vector(0.209, 0.209, 0.07), color = Color(255, 255, 255, 255), surpresslightning = false, material = "", skin = 0, bodygroup = {} },
	["carryhandle"] = { type = "Model", model = "models/props_c17/playground_teetertoter_stan.mdl", bone = "v_weapon.AK47_Parent", rel = "", pos = Vector(0, 3.49, 4), angle = Angle(90, 90, 0), size = Vector(0.1, 0.264, 0.1), color = Color(255, 255, 255, 255), surpresslightning = false, material = "", skin = 0, bodygroup = {} },
	["element_name"] = { type = "Model", model = "models/Items/battery.mdl", bone = "v_weapon.AK47_Parent", rel = "", pos = Vector(0, 0.455, 12.5), angle = Angle(-180, -90, 180), size = Vector(0.60, 0.60, 0.55), color = Color(255, 255, 255, 255), surpresslightning = false, material = "", skin = 0, bodygroup = {} },
	["body"] = { type = "Model", model = "models/props_c17/TrapPropeller_Engine.mdl", bone = "v_weapon.AK47_Parent", rel = "", pos = Vector(0, 3.38, 0.455), angle = Angle(1.023, 0, 0), size = Vector(0.079, 0.079, 0.079), color = Color(255, 255, 255, 255), surpresslightning = false, material = "", skin = 0, bodygroup = {} }
}

SWEP.Base				= "heavybase"
SWEP.HoldType          = "ar2"
SWEP.Primary.Sound      = Sound( "weapons/rocketgun/rocket_shoot.wav" )
SWEP.Primary.Delay      = 0.3     
SWEP.Primary.Recoil   = 1            
SWEP.Primary.ClipSize      = 10   
SWEP.Primary.DefaultClip    = 50    
SWEP.Primary.Automatic      = true 
SWEP.Primary.Ammo           = "smg1"

SWEP.Secondary.Recoil       = 5
SWEP.Secondary.Delay        = 6
SWEP.Secondary.ClipSize     = -1
SWEP.Secondary.DefaultClip     = -1
SWEP.Secondary.Automatic     = false
SWEP.Secondary.Ammo         = "none"

SWEP.ViewModel = "models/weapons/v_rif_ak47.mdl"
SWEP.WorldModel = "models/weapons/w_rif_ak47.mdl"
SWEP.ShowViewModel = true
SWEP.ShowWorldModel = true
SWEP.ViewModelBoneMods = {
	["v_weapon.AK47_Clip"] = { scale = Vector(0.009, 0.009, 0.009), pos = Vector(0, 0, 0), angle = Angle(0, 0, 0) }
}

SWEP.RunSightsPos = Vector(-1.441, -8.643, -0.48)
SWEP.RunSightsAng = Vector(0.703, -55.578, 4.221)

function SWEP:Deploy()

	self.Weapon:SetNWBool("autobazooka_ironsights", false)
	
     self.Weapon:SendWeaponAnim( ACT_VM_DRAW )
     -- Set the deploy animation when deploying

     self.Reloadaftershoot = CurTime() + 0.3
     -- Can't shoot while deploying

     self.Weapon:SetNextPrimaryFire(CurTime() + 0.3)
     -- Set the next primary fire to 1 second after deploying
     return true
end

function SWEP:Think()

	if not IsValid(self) then return end
	if not IsValid(self.Owner) then return end
	
	
	if self.Owner:KeyPressed(IN_SPEED) and not (self.Weapon:GetNWBool("Reloading")) then            -- If you are running
	
		if self.Weapon:GetNextPrimaryFire() <= (CurTime()+0.3) then
				self.Weapon:SetNextPrimaryFire(CurTime()+0.3)                           -- Make it so you can't shoot for another quarter second
		end
		
		self.IronSightsPos = self.RunSightsPos                                  -- Hold it down
		self.IronSightsAng = self.RunSightsAng                                  -- Hold it down
		self:SetIronsights(true, self.Owner)                                    -- Set the ironsight true
		self.Owner:SetFOV( 0, 0.3 )
		self.DrawCrosshair = false
		end                                                            
 
		if self.Owner:KeyReleased (IN_SPEED) then       -- If you release run then
		self:SetIronsights(false, self.Owner)                                   -- Set the ironsight true
		self.Owner:SetFOV( 0, 0.3 )
		self.DrawCrosshair = true
		end      
		
end		
	

function SWEP:Rocket()
  
    local rocket = ents.Create( "autobazooka_rocket" )     
   
        rocket:SetOwner( self.Owner )
		local eAng = self.Owner:EyeAngles()  
		local shootpos = self.Owner:GetShootPos() + eAng:Forward() * 130 + eAng:Right() * 20 + eAng:Up() * -18
        rocket:SetOwner( self.Weapon:GetOwner() )                 
        rocket:SetPos( shootpos )       
        rocket:SetAngles( self.Owner:EyeAngles() )
        rocket:Spawn()
        rocket:Activate()   
    
	
end

function SWEP:PrimaryAttack()
       
    if self.Weapon:Clip1() == 0 then
	
        self.Weapon:EmitSound("weapons/shotgun/shotgun_empty.wav", 65, math.random(99, 101))
    self.Weapon:SetNextSecondaryFire( CurTime() + self.Primary.Delay )
    self.Weapon:SetNextPrimaryFire( CurTime() + self.Primary.Delay )
	self:Reload()
	
        return
    end
	
	if (self.Weapon:GetNWBool("Reloading")) or (self.Weapon:GetNWBool("autobazooka_ironsights")) then return end
	
    self.Reloadaftershoot = CurTime() + self.Primary.Delay
	
    self.Weapon:SetNextSecondaryFire( CurTime() + self.Primary.Delay )
	
	
    self.Weapon:SetNextPrimaryFire( CurTime() + self.Primary.Delay )
    
    if ( !self:CanPrimaryAttack() ) then return end
    
    self.Weapon:EmitSound( self.Primary.Sound )
    
    self.Weapon:SendWeaponAnim( ACT_VM_PRIMARYATTACK)
	
    self:TakePrimaryAmmo( 1 )
	
	self.Owner:ViewPunch(Angle(math.Rand(-1,-2.5) * (0.72), math.Rand(-1,1) * (0.72), 0))

    self:Rocket()
    
        
end

function SWEP:SecondaryAttack()

   if ( !self:CanPrimaryAttack() ) then return end
   if (self.Weapon:GetNWBool("Reloading")) or (self.Weapon:GetNWBool("autobazooka_ironsights")) then return end

	if self.Weapon:Clip1() == 0 then
	self.Weapon:EmitSound("weapons/shotgun/shotgun_empty.wav", 65, math.random(99, 101))
	self.Weapon:SetNextSecondaryFire( CurTime() + self.Primary.Delay )
	self.Weapon:SetNextPrimaryFire( CurTime() + self.Primary.Delay )
        return
    end

   self.Weapon:EmitSound( "surprise.mp3" )
   self.Weapon:SetNextSecondaryFire( CurTime() + 6 )
   self.Weapon:SetNextPrimaryFire( CurTime() + 6 )
   
   timer.Simple(2, function()
   
       local shake = ents.Create( "env_shake" )
        shake:SetOwner( self.Owner )
        shake:SetPos( self.Owner:GetPos() )
        shake:SetKeyValue( "amplitude", "3200" )    -- Power of the shake
        shake:SetKeyValue( "radius", "100" )    -- Radius of the shake
        shake:SetKeyValue( "duration", "1" )    -- Time of shake
        shake:SetKeyValue( "frequency", "255" )    -- How har should the screenshake be
        shake:SetKeyValue( "spawnflags", "4" )    -- Spawnflags( In Air )
        shake:Spawn()
        shake:Activate()
        shake:Fire( "StartShake", "", 0 )
   
	if (self.Weapon:GetNWBool("Reloading")) or (self.Weapon:GetNWBool("autobazooka_ironsights")) then return end
					
    for i = 1,self.Weapon:Clip1() do
	
    timer.Simple(0.05*i, function() self:Rocket()
	
	self.Weapon:SendWeaponAnim( ACT_VM_PRIMARYATTACK)
	 self:TakePrimaryAmmo(1) 
	 self.Weapon:EmitSound( self.Primary.Sound )
	 self.Owner:ViewPunch(Angle(math.Rand(1,-2.5) * (0.42), math.Rand(-2,1.5) * (0.42), 0))
	
	end)
	
	end
		
    
	end)
	
end



function SWEP:Reload()
		if not IsValid(self) then return end if not IsValid(self.Owner) then return end   
	   

				self.Weapon:DefaultReload(ACT_VM_RELOAD)
	   
		if !self.Owner:IsNPC() then
				if self.Owner:GetViewModel() == nil then self.ResetSights = CurTime() + 3 else
				self.ResetSights = CurTime() + self.Owner:GetViewModel():SequenceDuration()
				end
		end
	   
		if SERVER and self.Weapon != nil then
		if ( self.Weapon:Clip1() < self.Primary.ClipSize ) and !self.Owner:IsNPC() then
	
				self.Owner:SetFOV( 0, 0.3 )
				
				self:SetIronsights(false)

				self.Weapon:SetNWBool("Reloading", true)
		end
		local waitdammit = (self.Owner:GetViewModel():SequenceDuration())
		timer.Simple(waitdammit + .1,
				function()
				if self.Weapon == nil then return end
				self.Weapon:SetNWBool("Reloading", false)
				
				if self.Owner:KeyDown(IN_SPEED) then
						if self.Weapon:GetNextPrimaryFire() <= (CurTime() + .03) then
								self.Weapon:SetNextPrimaryFire(CurTime()+0.3)                   -- Make it so you can't shoot for another quarter second
						end
						self.IronSightsPos = self.RunSightsPos                                  -- Hold it down
						self.IronSightsAng = self.RunSightsAng                                  -- Hold it down
						self:SetIronsights(true, self.Owner)                                  
						self.Owner:SetFOV( 0, 0.3 )
						
				else return end
				end)
		end
end

function SWEP:DrawWeaponSelection(x, y, wide, tall, alpha)

    surface.SetDrawColor(255, 255, 255, alpha)
    surface.SetTexture(self.WepSelectIcon)
    
    local fsin = 0
    
    if (self.BounceWeaponIcon == true) then
        fsin = math.sin(CurTime() * 10) * 5
    end
    
    y = y + 10
    x = x + 10
    wide = wide - 20
    
    surface.DrawTexturedRect(x + (fsin), y - (fsin), wide - fsin * 2, (wide / 2) + (fsin))
    
    self:PrintWeaponInfo(x + wide + 20, y + tall * 0.95, alpha)
end
    
function SWEP:DrawHUD()
      self:DrawAmmoCounter() 
end  


 function SWEP:DrawAmmoCounter()

    local screenScale = ( ScrH() / 720 )
    local ammoWidth = 120 * screenScale
    local blockHeight = 6 * screenScale
    local blockGap = 3 * screenScale
    
    if( self.Primary.ClipSize > 0 ) then
        local blockWidth = (ammoWidth / self.Primary.ClipSize) - ( blockGap / (self.Primary.ClipSize - 1) )
        local sourcePosX = ScrW() - 20 - ammoWidth - ( blockGap * self.Primary.ClipSize )
        local sourcePosY = ScrH() - 20 - blockHeight
        
        local secondaryPosY = sourcePosY - blockHeight - 7
        
        for i=0,self.Primary.ClipSize-1 do
            local blockColor = Color( 0, 0, 0, 150 )
            
            if( i < self:Clip1() ) then
                blockColor = Color( 255, 255, 255, 200 )
            end
            
            surface.SetDrawColor( 0, 0, 0, 75 )
            surface.DrawRect( sourcePosX + ( blockWidth * i ) + ( blockGap * i ) - 1, sourcePosY - 1, blockWidth + 2, blockHeight + 2 )
            
            surface.SetDrawColor( blockColor.r, blockColor.g, blockColor.b, blockColor.a )
            surface.DrawRect( sourcePosX + ( blockWidth * i ) + ( blockGap * i ), sourcePosY, blockWidth, blockHeight )
           
        end
    end
end

function SWEP:CustomAmmoDisplay()
    self.AmmoDisplay = self.AmmoDisplay or {} 
    self.AmmoDisplay.Draw = false
    
    return self.AmmoDisplay
end

function SWEP:ShouldDropOnDie()
    return true
end

function SWEP:Holster()
return true
end

local IRONSIGHT_TIME = 0.3
-- //Time to enter in the ironsight mod
 
function SWEP:GetViewModelPosition(pos, ang)
 
		if (not self.RunSightsPos) then return pos, ang end
 
		local bIron = self.Weapon:GetNWBool("autobazooka_ironsights")
 
		if (bIron != self.bLastIron) then
				self.bLastIron = bIron
				self.fIronTime = CurTime()
 
		end
 
		local fIronTime = self.fIronTime or 0
 
		if (not bIron and fIronTime < CurTime() - IRONSIGHT_TIME) then
				return pos, ang
		end
 
		local Mul = 1.0
 
		if (fIronTime > CurTime() - IRONSIGHT_TIME) then
				Mul = math.Clamp((CurTime() - fIronTime) / IRONSIGHT_TIME, 0, 1)
 
				if not bIron then Mul = 1 - Mul end
		end
		
		local Offset = self.RunSightsPos
 
		if (self.RunSightsAng) then
				ang = ang * 1
				ang:RotateAroundAxis(ang:Right(),               self.RunSightsAng.x * Mul)
				ang:RotateAroundAxis(ang:Up(),          self.RunSightsAng.y * Mul)
				ang:RotateAroundAxis(ang:Forward(),     self.RunSightsAng.z * Mul)
		end
 
		local Right     = ang:Right()
		local Up                = ang:Up()
		local Forward   = ang:Forward()
 
		pos = pos + Offset.x * Right * Mul
		pos = pos + Offset.y * Forward * Mul
		pos = pos + Offset.z * Up * Mul
 
		return pos, ang
 
		-- local Offset    = self.IronSightsPos
 
		-- if (self.RunSightsAng) then
				-- ang = ang * 1
				-- ang:RotateAroundAxis(ang:Right(),               self.RunSightsAng.x * Mul)
				-- ang:RotateAroundAxis(ang:Up(),          self.RunSightsAng.y * Mul)
				-- ang:RotateAroundAxis(ang:Forward(),     self.IronSightsAng.z * Mul)
		-- end
 
		-- local Right     = ang:Right()
		-- local Up                = ang:Up()
		-- local Forward   = ang:Forward()
 
		-- pos = pos + Offset.x * Right * Mul
		-- pos = pos + Offset.y * Forward * Mul
		-- pos = pos + Offset.z * Up * Mul
 
		-- return pos, ang
end
 
/*---------------------------------------------------------
SetIronsights
-----------------------------------------------------*/
function SWEP:SetIronsights(b)
		self.Weapon:SetNWBool("autobazooka_ironsights", b)
end
 
function SWEP:GetIronsights()
		return self.Weapon:GetNWBool("autobazooka_ironsights")
end
